%define tarball xf86-input-wiimote

Name:           xorg-x11-drv-wiimote
Version:        0.0.1
Release:        1%{?dist}
Summary:        Xorg driver for the Nintendo Wii Remote

Group:          User Interface/X Hardware Support
License:        MIT
URL:		http://wearables.unisa.edu.au/mpx/?q=node/129
Source0:        http://people.freedesktop.org/~whot/wiimote/xf86-input-wiimote-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:		wiimote-0.0.1-include-path.patch

BuildRequires:	autoconf automake libtool
BuildRequires:  libwiimote-devel
BuildRequires:  xorg-x11-server-sdk
Requires:       xorg-x11-server-Xorg

%description
Xorg driver for the Nintendo Wii Remote.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 -b .include-path

%build
autoreconf -v --install || exit 1
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/xorg/modules/input/wiimote_drv.so
%{_mandir}/man4/wiimote.4*

%changelog
* Tue Dec 18 2007 Adam Jackson <ajax@redhat.com> 0.0.1-1
- Initial version.
